- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# dx Namespace Reference

## Typedefs
typedef unsigned char | Vec4UB [4]
typedef unsigned char | Vec3UB [3]
typedef std::map< osg::StateAttribute::GLMode, std::string > | ModeMap
typedef std::map< osg::StateAttribute::Type, std::string > | AttrMap
## Functions
template<class T>
void | for_each_triangle2 (const osg::GeoSet &gset, T &op)
| Template function for iterating through a GeoSet operating on triangles with templated functor.
osg::GeoSet * | TriangulateAreaGeoSet (const osg::GeoSet &geoset)
int | WARNING (char fmt[],...)
void | GetParms (int argc, char *argv[], char infile[DX_PATH_MAX], WriterParms &parms)
int | IsNaNorInf (float f)
float | Luminance (const osg::Vec4 &v)
char * | Vec4AttributeString (char buf[], char name[], int front_and_back, osg::Vec4 &front, osg::Vec4 &back)
bool | WriteDX (const osg::Node &node, WriterParms &parms, std::string &messages)
const char * | GLModeToModeStr (osg::StateAttribute::GLMode mode)
osg::StateAttribute::GLMode | GLModeStrToMode (const char mode_str[])
const char * | OSGAttrToAttrStr (osg::StateAttribute::Type attr)
osg::StateAttribute::Type | OSGAttrStrToAttr (const char attr_str[])
## Variables
const osg::Vec3 | INVALID_NORMAL (-99,-99,-99)
const osg::Vec3 | INVALID_COLOR (0, 0, 0)
const float | INVALID_OPACITY = 1.0
const float | ALPHA_OPAQUE = 1.0

## Typedef Documentation

typedef std::map<osg::StateAttribute::Type,std::string> dx::AttrMap

typedef std::map<osg::StateAttribute::GLMode,std::string> dx::ModeMap

typedef unsigned char dx::Vec3UB[3]

typedef unsigned char dx::Vec4UB[4]

## Function Documentation

template<class T>
void dx::for_each_triangle2 | ( | const osg::GeoSet & | gset,
|  | T & | op
| ) |

| Template function for iterating through a GeoSet operating on triangles with templated functor. Function automatically decomposes quads and polygons into sub triangles which are passed onto functor.

void dx::GetParms | ( | int | argc,
|  | char * | argv[],
|  | char | infile[DX_PATH_MAX],
|  | WriterParms & | parms
| ) |

osg::StateAttribute::GLMode dx::GLModeStrToMode | ( | const char | mode_str[] | ) |

const char* dx::GLModeToModeStr | ( | osg::StateAttribute::GLMode | mode | ) |

int dx::IsNaNorInf | ( | float | f | ) | `[inline]`

float dx::Luminance | ( | const osg::Vec4 & | v | ) | `[inline]`

osg::StateAttribute::Type dx::OSGAttrStrToAttr | ( | const char | attr_str[] | ) |

const char* dx::OSGAttrToAttrStr | ( | osg::StateAttribute::Type | attr | ) |

osg::GeoSet* dx::TriangulateAreaGeoSet | ( | const osg::GeoSet & | geoset | ) |

char* dx::Vec4AttributeString | ( | char | buf[],
|  | char | name[],
|  | int | front_and_back,
|  | osg::Vec4 & | front,
|  | osg::Vec4 & | back
| ) | `[inline]`

int dx::WARNING | ( | char | fmt[],
|  |  | ...
| ) | `[inline]`

bool dx::WriteDX | ( | const osg::Node & | node,
|  | WriterParms & | parms,
|  | std::string & | messages
| ) |

## Variable Documentation

const float dx::ALPHA_OPAQUE = 1.0

const osg::Vec3 dx::INVALID_COLOR(0, 0, 0)

const osg::Vec3 dx::INVALID_NORMAL(-99,-99,-99)

const float dx::INVALID_OPACITY = 1.0